
<!doctype html>
<html lang="en">

<head>
    <title>Code coverage report for servises</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../prettify.css" />
    <link rel="stylesheet" href="../base.css" />
    <link rel="shortcut icon" type="image/x-icon" href="../favicon.png" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../sort-arrow-sprite.png);
        }
    </style>
</head>
    
<body>
<div class='wrapper'>
    <div class='pad1'>
        <h1><a href="../index.html">All files</a> servises</h1>
        <div class='clearfix'>
            
            <div class='fl pad1y space-right2'>
                <span class="strong">88.07% </span>
                <span class="quiet">Statements</span>
                <span class='fraction'>746/847</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">69.71% </span>
                <span class="quiet">Branches</span>
                <span class='fraction'>198/284</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">91.27% </span>
                <span class="quiet">Functions</span>
                <span class='fraction'>157/172</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">88.21% </span>
                <span class="quiet">Lines</span>
                <span class='fraction'>726/823</span>
            </div>
        
            
        </div>
        <p class="quiet">
            Press <em>n</em> or <em>j</em> to go to the next uncovered block, <em>b</em>, <em>p</em> or <em>k</em> for the previous block.
        </p>
    </div>
    <div class='status-line high'></div>
    <div class="pad1">
<table class="coverage-summary">
<thead>
<tr>
   <th data-col="file" data-fmt="html" data-html="true" class="file">File</th>
   <th data-col="pic" data-type="number" data-fmt="html" data-html="true" class="pic"></th>
   <th data-col="statements" data-type="number" data-fmt="pct" class="pct">Statements</th>
   <th data-col="statements_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="branches" data-type="number" data-fmt="pct" class="pct">Branches</th>
   <th data-col="branches_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="functions" data-type="number" data-fmt="pct" class="pct">Functions</th>
   <th data-col="functions_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="lines" data-type="number" data-fmt="pct" class="pct">Lines</th>
   <th data-col="lines_raw" data-type="number" data-fmt="html" class="abs"></th>
</tr>
</thead>
<tbody><tr>
	<td class="file high" data-value="audit.js"><a href="audit.js.html">audit.js</a></td>
	<td data-value="100" class="pic high">
	<div class="chart"><div class="cover-fill cover-full" style="width: 100%"></div><div class="cover-empty" style="width: 0%"></div></div>
	</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="30" class="abs high">30/30</td>
	<td data-value="33.33" class="pct low">33.33%</td>
	<td data-value="6" class="abs low">2/6</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="9" class="abs high">9/9</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="30" class="abs high">30/30</td>
	</tr>

<tr>
	<td class="file high" data-value="buyService.js"><a href="buyService.js.html">buyService.js</a></td>
	<td data-value="80.78" class="pic high">
	<div class="chart"><div class="cover-fill" style="width: 80%"></div><div class="cover-empty" style="width: 20%"></div></div>
	</td>
	<td data-value="80.78" class="pct high">80.78%</td>
	<td data-value="229" class="abs high">185/229</td>
	<td data-value="58.53" class="pct medium">58.53%</td>
	<td data-value="82" class="abs medium">48/82</td>
	<td data-value="96.29" class="pct high">96.29%</td>
	<td data-value="27" class="abs high">26/27</td>
	<td data-value="80.35" class="pct high">80.35%</td>
	<td data-value="224" class="abs high">180/224</td>
	</tr>

<tr>
	<td class="file high" data-value="discountService.js"><a href="discountService.js.html">discountService.js</a></td>
	<td data-value="100" class="pic high">
	<div class="chart"><div class="cover-fill cover-full" style="width: 100%"></div><div class="cover-empty" style="width: 0%"></div></div>
	</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="28" class="abs high">28/28</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="6" class="abs high">6/6</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="9" class="abs high">9/9</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="27" class="abs high">27/27</td>
	</tr>

<tr>
	<td class="file high" data-value="fileReader.js"><a href="fileReader.js.html">fileReader.js</a></td>
	<td data-value="100" class="pic high">
	<div class="chart"><div class="cover-fill cover-full" style="width: 100%"></div><div class="cover-empty" style="width: 0%"></div></div>
	</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="9" class="abs high">9/9</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="3" class="abs high">3/3</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="9" class="abs high">9/9</td>
	</tr>

<tr>
	<td class="file high" data-value="orderService.js"><a href="orderService.js.html">orderService.js</a></td>
	<td data-value="100" class="pic high">
	<div class="chart"><div class="cover-fill cover-full" style="width: 100%"></div><div class="cover-empty" style="width: 0%"></div></div>
	</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="44" class="abs high">44/44</td>
	<td data-value="75" class="pct medium">75%</td>
	<td data-value="8" class="abs medium">6/8</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="11" class="abs high">11/11</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="41" class="abs high">41/41</td>
	</tr>

<tr>
	<td class="file high" data-value="randomService.js"><a href="randomService.js.html">randomService.js</a></td>
	<td data-value="100" class="pic high">
	<div class="chart"><div class="cover-fill cover-full" style="width: 100%"></div><div class="cover-empty" style="width: 0%"></div></div>
	</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="4" class="abs high">4/4</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="2" class="abs high">2/2</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="4" class="abs high">4/4</td>
	</tr>

<tr>
	<td class="file high" data-value="recommendationService.js"><a href="recommendationService.js.html">recommendationService.js</a></td>
	<td data-value="100" class="pic high">
	<div class="chart"><div class="cover-fill cover-full" style="width: 100%"></div><div class="cover-empty" style="width: 0%"></div></div>
	</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="26" class="abs high">26/26</td>
	<td data-value="91.66" class="pct high">91.66%</td>
	<td data-value="12" class="abs high">11/12</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="2" class="abs high">2/2</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="24" class="abs high">24/24</td>
	</tr>

<tr>
	<td class="file high" data-value="restaurantBudget.js"><a href="restaurantBudget.js.html">restaurantBudget.js</a></td>
	<td data-value="100" class="pic high">
	<div class="chart"><div class="cover-fill cover-full" style="width: 100%"></div><div class="cover-empty" style="width: 0%"></div></div>
	</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="46" class="abs high">46/46</td>
	<td data-value="90.9" class="pct high">90.9%</td>
	<td data-value="11" class="abs high">10/11</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="7" class="abs high">7/7</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="46" class="abs high">46/46</td>
	</tr>

<tr>
	<td class="file low" data-value="spoilingService.js"><a href="spoilingService.js.html">spoilingService.js</a></td>
	<td data-value="43.75" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 43%"></div><div class="cover-empty" style="width: 57%"></div></div>
	</td>
	<td data-value="43.75" class="pct low">43.75%</td>
	<td data-value="32" class="abs low">14/32</td>
	<td data-value="25" class="pct low">25%</td>
	<td data-value="12" class="abs low">3/12</td>
	<td data-value="40" class="pct low">40%</td>
	<td data-value="5" class="abs low">2/5</td>
	<td data-value="43.33" class="pct low">43.33%</td>
	<td data-value="30" class="abs low">13/30</td>
	</tr>

<tr>
	<td class="file high" data-value="statisticService.js"><a href="statisticService.js.html">statisticService.js</a></td>
	<td data-value="83.51" class="pic high">
	<div class="chart"><div class="cover-fill" style="width: 83%"></div><div class="cover-empty" style="width: 17%"></div></div>
	</td>
	<td data-value="83.51" class="pct high">83.51%</td>
	<td data-value="91" class="abs high">76/91</td>
	<td data-value="63.41" class="pct medium">63.41%</td>
	<td data-value="41" class="abs medium">26/41</td>
	<td data-value="64.7" class="pct medium">64.7%</td>
	<td data-value="17" class="abs medium">11/17</td>
	<td data-value="82.95" class="pct high">82.95%</td>
	<td data-value="88" class="abs high">73/88</td>
	</tr>

<tr>
	<td class="file high" data-value="taxService.js"><a href="taxService.js.html">taxService.js</a></td>
	<td data-value="100" class="pic high">
	<div class="chart"><div class="cover-fill cover-full" style="width: 100%"></div><div class="cover-empty" style="width: 0%"></div></div>
	</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="45" class="abs high">45/45</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="8" class="abs high">8/8</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="16" class="abs high">16/16</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="45" class="abs high">45/45</td>
	</tr>

<tr>
	<td class="file high" data-value="timeService.js"><a href="timeService.js.html">timeService.js</a></td>
	<td data-value="95.45" class="pic high">
	<div class="chart"><div class="cover-fill" style="width: 95%"></div><div class="cover-empty" style="width: 5%"></div></div>
	</td>
	<td data-value="95.45" class="pct high">95.45%</td>
	<td data-value="44" class="abs high">42/44</td>
	<td data-value="75" class="pct medium">75%</td>
	<td data-value="8" class="abs medium">6/8</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="15" class="abs high">15/15</td>
	<td data-value="95.45" class="pct high">95.45%</td>
	<td data-value="44" class="abs high">42/44</td>
	</tr>

<tr>
	<td class="file high" data-value="tipsService.js"><a href="tipsService.js.html">tipsService.js</a></td>
	<td data-value="92.3" class="pic high">
	<div class="chart"><div class="cover-fill" style="width: 92%"></div><div class="cover-empty" style="width: 8%"></div></div>
	</td>
	<td data-value="92.3" class="pct high">92.3%</td>
	<td data-value="13" class="abs high">12/13</td>
	<td data-value="75" class="pct medium">75%</td>
	<td data-value="4" class="abs medium">3/4</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="4" class="abs high">4/4</td>
	<td data-value="92.3" class="pct high">92.3%</td>
	<td data-value="13" class="abs high">12/13</td>
	</tr>

<tr>
	<td class="file high" data-value="trashService.js"><a href="trashService.js.html">trashService.js</a></td>
	<td data-value="82.6" class="pic high">
	<div class="chart"><div class="cover-fill" style="width: 82%"></div><div class="cover-empty" style="width: 18%"></div></div>
	</td>
	<td data-value="82.6" class="pct high">82.6%</td>
	<td data-value="46" class="abs high">38/46</td>
	<td data-value="66.66" class="pct medium">66.66%</td>
	<td data-value="12" class="abs medium">8/12</td>
	<td data-value="80" class="pct high">80%</td>
	<td data-value="15" class="abs high">12/15</td>
	<td data-value="82.6" class="pct high">82.6%</td>
	<td data-value="46" class="abs high">38/46</td>
	</tr>

<tr>
	<td class="file high" data-value="volatilityService.js"><a href="volatilityService.js.html">volatilityService.js</a></td>
	<td data-value="100" class="pic high">
	<div class="chart"><div class="cover-fill cover-full" style="width: 100%"></div><div class="cover-empty" style="width: 0%"></div></div>
	</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="15" class="abs high">15/15</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="2" class="abs high">2/2</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="3" class="abs high">3/3</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="15" class="abs high">15/15</td>
	</tr>

<tr>
	<td class="file high" data-value="wantsService.js"><a href="wantsService.js.html">wantsService.js</a></td>
	<td data-value="89.74" class="pic high">
	<div class="chart"><div class="cover-fill" style="width: 89%"></div><div class="cover-empty" style="width: 11%"></div></div>
	</td>
	<td data-value="89.74" class="pct high">89.74%</td>
	<td data-value="39" class="abs high">35/39</td>
	<td data-value="76.47" class="pct medium">76.47%</td>
	<td data-value="34" class="abs medium">26/34</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="3" class="abs high">3/3</td>
	<td data-value="89.74" class="pct high">89.74%</td>
	<td data-value="39" class="abs high">35/39</td>
	</tr>

<tr>
	<td class="file high" data-value="warehousesHandler.js"><a href="warehousesHandler.js.html">warehousesHandler.js</a></td>
	<td data-value="91.5" class="pic high">
	<div class="chart"><div class="cover-fill" style="width: 91%"></div><div class="cover-empty" style="width: 9%"></div></div>
	</td>
	<td data-value="91.5" class="pct high">91.5%</td>
	<td data-value="106" class="abs high">97/106</td>
	<td data-value="86.84" class="pct high">86.84%</td>
	<td data-value="38" class="abs high">33/38</td>
	<td data-value="91.66" class="pct high">91.66%</td>
	<td data-value="24" class="abs high">22/24</td>
	<td data-value="93.87" class="pct high">93.87%</td>
	<td data-value="98" class="abs high">92/98</td>
	</tr>

</tbody>
</table>
</div>
                <div class='push'></div><!-- for sticky footer -->
            </div><!-- /wrapper -->
            <div class='footer quiet pad2 space-top1 center small'>
                Code coverage generated by
                <a href="https://istanbul.js.org/" target="_blank">istanbul</a>
                at Wed Jan 05 2022 16:20:27 GMT+0200 (за східноєвропейським стандартним часом)
            </div>
        </div>
        <script src="../prettify.js"></script>
        <script>
            window.onload = function () {
                prettyPrint();
            };
        </script>
        <script src="../sorter.js"></script>
        <script src="../block-navigation.js"></script>
    </body>
</html>
    